#TITLE=XML Schema 1.0
; XML Schema 1.0
; Syntax file by Welman Jordan (wmjordan@163.com)
; NOTICE: In order to make this syntax to work, the namespace prefix of XSD elements should be bound to "xs".
#INFO
W3C XML Schema 1.0 Auto Completion Cliptext.

Completion prefixes:
	xs  -- XSD element
Completion suffixes:
	as  -- XSD attribute
	--  -- XSD attribute helper

Author: Welman Jordan (Zuo Weiming)
Contact: wmjordan(at)163[dot]com
Date: 2010-08-04

#SORT=n

#T=xml
<?xml version="1.0"^!?>
#T=--
<!--^!-->
#T=CDATA
<![CDATA[^!]]>
#T=_____________________
^!
#T=XSD Elements
^!
#T=xsall
<xs:all>^!</xs:all>
#T=xsann
<xs:annotation>^!</xs:annotation>
#T=xsannotation
<xs:annotation>^!</xs:annotation>
#T=xsany
<xs:any namespace="##any" processContents="lax">
^!
</xs:any>
#T=xsaa
<xs:anyAttribute namespace="##any" processContents="lax">
^!
</xs:anyAttribute>
#T=xsanyattribute
<xs:anyAttribute namespace="##any" processContents="lax">
^!
</xs:anyAttribute>
#T=xsai
<xs:appinfo>^!</xs:appinfo>
#T=xsapp
<xs:appinfo>^!</xs:appinfo>
#T=xsappinfo
<xs:appinfo>^!</xs:appinfo>
#T=xsa
<xs:attribute name="^!" />
#T=xsattr
<xs:attribute name="^!" />
#T=xsattribute
<xs:attribute>^!</xs:attribute>
#T=xsag
<xs:attributeGroup>^!</xs:attributeGroup>
#T=xsattrgroup
<xs:attributeGroup>^!</xs:attributeGroup>
#T=xsattributegroup
<xs:attributeGroup>^!</xs:attributeGroup>
#T=xsc
<xs:choice>
^!
</xs:choice>
#T=xschoice
<xs:choice>
^!
</xs:choice>
#T=xscc
<xs:complexContent>^!</xs:complexContent>
#T=xscomplexcontent
<xs:complexContent>^!</xs:complexContent>
#T=xsct
<xs:complexType name="^!">
</xs:complexType>
#T=xscomplextype
<xs:complexType name="^!">
</xs:complexType>
#T=xsdoc
<xs:documentation>^!</xs:documentation>
#T=xsdocumentation
<xs:documentation>^!</xs:documentation>
#T=xse
<xs:element name="^!" />
#T=xselement
<xs:element^!></xs:element>
#T=xsenum
<xs:enumeration>
^!
</xs:enumeration>
#T=xsenumeration
<xs:enumeration>
^!
</xs:enumeration>
#T=xsext
<xs:extension base="^!">
</xs:extension>
#T=xsextension
<xs:extension base="^!">
</xs:extension>
#T=xsfield
<xs:field xpath="^!" />
#T=xsfd
<xs:fractionDigits value="^!" />
#T=xsfractiondigits
<xs:fractionDigits value="^!" />
#T=xsg
<xs:group>
^!
</xs:group>
#T=xsgroup
<xs:group>
^!
</xs:group>
#T=xsimp
<xs:import namespace="^!" schemaLocation="" />
#T=xsimport
<xs:import namespace="^!" schemaLocation="" />
#T=xsinc
<xs:include schemaLocation="^!" />
#T=xsinclude
<xs:include schemaLocation="^!" />
#T=xskey
<xs:key>^!</xs:key>
#T=xskr
<xs:keyref>^!</xs:keyref>
#T=xskeyref
<xs:keyref>^!</xs:keyref>
#T=xslength
<xs:length value="^!" />
#T=xslst
<xs:list itemType="^!" />
#T=xslist
<xs:list>^!</xs:list>
#T=xsmaxe
<xs:maxExclusive value="^!" />
#T=xsmaxexclusive
<xs:maxExclusive value="^!" />
#T=xsmaxi
<xs:maxInclusive value="^!" />
#T=xsmaxinclusive
<xs:maxInclusive value="^!" />
#T=xsmaxl
<xs:maxLength value="^!" />
#T=xsmaxlength
<xs:maxLength value="^!" />
#T=xsmine
<xs:minExclusive value="^!" />
#T=xsminexclusive
<xs:minExclusive value="^!" />
#T=xsmini
<xs:minInclusive value="^!" />
#T=xsmininclusive
<xs:minInclusive value="^!" />
#T=xsminl
<xs:minLength value="^!" />
#T=xsminlength
<xs:minLength value="^!" />
#T=xsn
<xs:notation>^!</xs:notation>
#T=xsnotation
<xs:notation>^!</xs:notation>
#T=xspattern
<xs:pattern value="^!" />
#T=xsrd
<xs:redefine schemaLocation="^!">
</xs:redefine>
#T=xsredefine
<xs:redefine schemaLocation="^!">
</xs:redefine>
#T=xsres
<xs:restriction base="^!">
</xs:restriction>
#T=xsrestriction
<xs:restriction base="^!">
</xs:restriction>
#T=xsschema
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema">
^!
</xs:schema>
#T=xsselector
<xs:selector>^!</xs:selector>
#T=xss
<xs:sequence>
^!
</xs:sequence>
#T=xsseq
<xs:sequence>
^!
</xs:sequence>
#T=xssequence
<xs:sequence>
^!
</xs:sequence>
#T=xssc
<xs:simpleContent>^!</xs:simpleContent>
#T=xssimplecontent
<xs:simpleContent>^!</xs:simpleContent>
#T=xsst
<xs:simpleType name="^!">
</xs:simpleType>
#T=xssimpletype
<xs:simpleType name="^!">
</xs:simpleType>
#T=xstd
<xs:totalDigits value="^!" />
#T=xstotaldigits
<xs:totalDigits value="^!" />
#T=xsunion
<xs:union>
^!
</xs:union>
#T=xsunique
<xs:unique>
^!
</xs:unique>
#T=xsws
<xs:whiteSpace value="^!" />
#T=xswhitespace
<xs:whiteSpace value="^!" />
#T=_____________________
^!
#T=XSD Attributes
^!
#T=versionas
version="1.0"
#T=encodingas
encoding="^!"
#T=xmlnsas
xmlns="^!"
#T=xsas
xmlns:xs="^!"
#T=langas
xml:lang="^!"
#T=spaceas
xml:space="^!"
#T=abstractas
abstract="^!"
#T=afdas
attributeFormDefault="^!"
#T=attributeformdefaultas
attributeFormDefault="^!"
#T=baseas
base="^!"
#T=blockas
block="^!"
#T=bdas
blockDefault="^!"
#T=blockdefaultas
blockDefault="^!"
#T=defas
default="^!"
#T=defaultas
default="^!"
#T=efdas
elementFormDefault="^!"
#T=elementformdefaultas
elementFormDefault="^!"
#T=finalas
final="^!"
#T=fdas
finalDefault="^!"
#T=finaldefaultas
finalDefault="^!"
#T=fixedas
fixed="^!"
#T=formas
form="^!"
#T=idas
id="^!"
#T=itas
itemType="^!"
#T=itemtypeas
itemType="^!"
#T=maxas
maxOccurs="^!"
#T=moas
maxOccurs="^!"
#T=maxoccursas
maxOccurs="^!"
#T=membertypesas
memberTypes="^!"
#T=mtas
memberTypes="^!"
#T=minas
minOccurs="^!"
#T=moas
minOccurs="^!"
#T=minoccursas
minOccurs="^!"
#T=mixedas
mixed="^!"
#T=nameas
name="^!"
#T=nsas
namespace="^!"
#T=namespaceas
namespace="^!"
#T=nillableas
nillable="^!"
#T=pcas
processContents="^!"
#T=processcontentsas
processContents="^!"
#T=publicas
public="^!"
#T=refas
ref="^!"
#T=referas
refer="^!"
#T=slas
schemaLocation="^!"
#T=schemaas
schemaLocation="^!"
#T=schemalocationas
schemaLocation="^!"
#T=sourceas
source="^!"
#T=sgas
substitutionGroup="^!"
#T=substitutiongroupas
substitutionGroup="^!"
#T=systemas
system="^!"
#T=tnas
targetNamespace="^!"
#T=targetas
targetNamespace="^!"
#T=targetnamespaceas
targetNamespace="^!"
#T=typeas
type="^!"
#T=useas
use="^!"
#T=valueas
value="^!"
#T=xpathas
xpath="^!"
#